<?php

class cp_otp_helper
{
    public static function get_country_code(){
        if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
            $_SERVER['REMOTE_ADDR'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
            $_SERVER['HTTP_CLIENT_IP'] = $_SERVER["HTTP_CF_CONNECTING_IP"];
        }

        $client  = @$_SERVER['HTTP_CLIENT_IP'];
        $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
        $remote  = $_SERVER['REMOTE_ADDR'];

        if(filter_var($client, FILTER_VALIDATE_IP)) $ip = $client;
        elseif(filter_var($forward, FILTER_VALIDATE_IP)) $ip = $forward;
        else $ip = $remote;

        if($ip){
            $response = wp_remote_get( 'http://api.seapi.info/misc/ip2geo?ip=' . $ip);
            if ( is_array( $response ) && ! is_wp_error( $response ) ) {
                $body    = $response['body'];
                if($body){
                    $body = json_decode($body);

                    if($body->success){
                        $callingCode = $body->data->location->callingCode;
                        return $callingCode ? '+' . $callingCode : '';
                    }
                }
            }
        }
        return null;
    }
}
