var AccountKit_OnInteractive;
;(function ($) {
    'use strict';
    AccountKit_OnInteractive = function () {
        AccountKit.init({
            appId: CpOtp.app_id,
            state: CpOtp.nonce,
            version: CpOtp.version,
            fbAppEventsEnabled: true,
            display: CpOtp.app_display
        });
    };

    // login callback
    CpOtp.loginCallback = function (response) {

        if (response.status === "PARTIALLY_AUTHENTICATED") {
            var data = {
                code: response.code,
                csrf: response.csrf,
                action: 'fb_account_kit_associate'
            };

            var href = CpOtp.ajaxurl + "?";
            href += $.param({
                "action": "cpotp-woo",
                "fb_code": data.code,
                "referral": location.href,
                "order" : CpOtp.order
            });

            $.get(href, function (res) {
                if (res.success) {
                    location.reload();
                } else {
                    alert(res.data.message);
                }
            });
        } else if (response.status === "NOT_AUTHENTICATED") {
        } else {
            alert("Error: 0000x1");
        }
    };

    CpOtp.fblogin_email = function (event, formName) {
        event.preventDefault();
        AccountKit.login('EMAIL', {
            emailAddress: CpOtp.order.email
        }, CpOtp.loginCallback);
    };
    CpOtp.fblogin_sms = function (event, formName) {
        event.preventDefault();

        AccountKit.login('PHONE', {
            phoneNumber: CpOtp.order.phone,
            countryCode: CpOtp.order.country_code
        }, CpOtp.loginCallback);
    };

})(jQuery);
